org.eclnt.jsfserver.elements

## Class BaseActionEvent

- java.lang.Object
- - ActionEvent
  - - org.eclnt.jsfserver.elements.BaseActionEvent

- All Implemented Interfaces:
    java.io.Serializable, IBaseActionEvent
  Direct Known Subclasses:
    BaseActionEventActiveX, BaseActionEventAreaFocusGained, BaseActionEventCameraSnap, BaseActionEventCcfeditTransfer, BaseActionEventChartClick, BaseActionEventChartDomainZoom, BaseActionEventChartJsPointSelection, BaseActionEventChartMouseClick, BaseActionEventClientDatagramReceive, BaseActionEventClientFilePoll, BaseActionEventClientFileRemovalMessage, BaseActionEventClientFocusChange, BaseActionEventClientHttpReceive, BaseActionEventClientHttpSend, BaseActionEventClientMethodReceive, BaseActionEventClientSerialReceive, BaseActionEventClientSocketReceive, BaseActionEventClientSubDevice, BaseActionEventClientUsbFileReader, BaseActionEventClipboardGet, BaseActionEventDetailInvoke, BaseActionEventDownloadFinished, BaseActionEventDragStarted, BaseActionEventDrop, BaseActionEventFileCreateDirectory, BaseActionEventFlush, BaseActionEventFocusGained, BaseActionEventFocusLost, BaseActionEventFXChartSelection, BaseActionEventGeoLocationUpdate, BaseActionEventGrid, BaseActionEventGridFirstLineUp, BaseActionEventGridLastLineDown, BaseActionEventGridSelectorTitleIcon, BaseActionEventHelp, BaseActionEventIframeIncludeCallback, BaseActionEventImageMapAreaSelected, BaseActionEventInvoke, BaseActionEventJsCallResult, BaseActionEventKeySelected, BaseActionEventKeySequence, BaseActionEventLink, BaseActionEventLoadOnDemand, BaseActionEventLongClickEnd, BaseActionEventMediaPlayer, BaseActionEventMenuLoad, BaseActionEventMessage, BaseActionEventNavButtonPress, BaseActionEventObjectHeaderIconInvoke, BaseActionEventObjectHeaderIntroInvoke, BaseActionEventObjectHeaderTitleInvoke, BaseActionEventObjectHeaderTitleSelectorInvoke, BaseActionEventOsmviewerSelection, BaseActionEventPdfprinterNotification, BaseActionEventPopupClose, BaseActionEventPopupMenuItem, BaseActionEventPopupMenuLoad, BaseActionEventQRCodeScan, BaseActionEventRangeSelection, BaseActionEventRGraphPointSelection, BaseActionEventRollingContainerIconInvoke, BaseActionEventScan, BaseActionEventScenejsCallback, BaseActionEventScheduleSizeChanged, BaseActionEventSearch, BaseActionEventSelect, BaseActionEventSendImage, BaseActionEventSlideContainer, BaseActionEventSubpageClick, BaseActionEventSuggestion, BaseActionEventSvgElementSelection, BaseActionEventTabClose, BaseActionEventTileDelete, BaseActionEventTileMove, BaseActionEventToggle, BaseActionEventTokenDelete, BaseActionEventTooltipEnded, BaseActionEventTooltipStarted, BaseActionEventTriplePane, BaseActionEventUpload, BaseActionEventUploadAsynchronousFinished, BaseActionEventValidate, BaseActionEventValueHelp, BaseActionEventWindowSizeChanged

      public class BaseActionEvent
      extends ActionEvent
      implements IBaseActionEvent, java.io.Serializable

  Event class for all actionListener calls that are executed by Enterprise Client components.
  Important: in general do not use the id of the source component for any kind of evaluation which component was the one to throw the event. Because the component id needs to be strictly unique it is generated internally by default ("g_###"-ids). Better use the common attributes "reference" or "comment" for placing information about a certain component.
  There are quite a lot of event classes inheriting from this class - each one for a specific event situation. These classes provide specific extra methods for getting data about the event.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.elements.IBaseActionEvent

      `EVTYPE_ACTIVEX_PARAMS, EVTYPE_AREAFOCUSGAINED, EVTYPE_CAMERASNAP, EVTYPE_CCFEDITTRANSFER, EVTYPE_CHARTCLICK, EVTYPE_CHARTDOMAINZOOM, EVTYPE_CHARTJSPOINTSELECTION, EVTYPE_CHARTMOUSECLICK, EVTYPE_CLIENTDATAGRAMRECEIVE, EVTYPE_CLIENTFILEPOLL, EVTYPE_CLIENTFILEREMOVALMESSAGE, EVTYPE_CLIENTFOCUSCHANGE, EVTYPE_CLIENTHTTPRECEIVE, EVTYPE_CLIENTHTTPSEND, EVTYPE_CLIENTJSCALLRESULT, EVTYPE_CLIENTMETHODRECEIVE, EVTYPE_CLIENTSERIALRECEIVE, EVTYPE_CLIENTSOCKETRECEIVE, EVTYPE_CLIENTSUBDEVICE, EVTYPE_CLIENTUSBFILEREADER, EVTYPE_CLIPBOARD_GET, EVTYPE_COMBOBOX_LOADONDEMAND, EVTYPE_COMBOFIELD_VALUEHELP, EVTYPE_DETAILINVOKE, EVTYPE_DRAGSTARTED, EVTYPE_DROP, EVTYPE_DROPCOPY, EVTYPE_FILECREATEDIRECTORY, EVTYPE_FILEDOWNLOAD_FINISHED, EVTYPE_FILEUPLOAD_UPLOAD, EVTYPE_FILEUPLOAD_UPLOADASYNCHRONOUSFINISEHD, EVTYPE_FIXGRID_COLUMNUPDATE, EVTYPE_FIXGRID_FIRSTLINEUP, EVTYPE_FIXGRID_LASTLINEDOWN, EVTYPE_FIXGRID_ROWCONTROLSELECT, EVTYPE_FIXGRID_ROWEXECUTE, EVTYPE_FIXGRID_ROWMOVE, EVTYPE_FIXGRID_ROWSELECT, EVTYPE_FIXGRID_ROWSHIFTSELECT, EVTYPE_FIXGRID_SCROLL, EVTYPE_FIXGRID_SCROLLANDREFOCUS, EVTYPE_FIXGRID_SEARCH, EVTYPE_FIXGRID_SELECTALL, EVTYPE_FIXGRID_SELECTORTITLEICON, EVTYPE_FIXGRID_SORT, EVTYPE_FIXGRID_SYNC, EVTYPE_FLUSH, EVTYPE_FOCUSGAINED, EVTYPE_FOCUSLOST, EVTYPE_FXCHARTSELECTION, EVTYPE_GEOLOCATIONUPDATE, EVTYPE_HELP, EVTYPE_IFRAMEINCLUDECALLBACK, EVTYPE_IMAGEMAPAREASELECTED, EVTYPE_INVOKE, EVTYPE_KEYSEQUENCE, EVTYPE_LINK, EVTYPE_LONGCLICKEND, EVTYPE_MEDIAPLAYER, EVTYPE_MENUITEM_SELECT, EVTYPE_MENULOAD, EVTYPE_MESSAGE, EVTYPE_NAVBUTTONPRESS, EVTYPE_OBJECTHEADERICONINVOKE, EVTYPE_OBJECTHEADERINTROINVOKE, EVTYPE_OBJECTHEADERTITLEINVOKE, EVTYPE_OBJECTHEADERTITLESELECTORINVOKE, EVTYPE_OSMVIEWERSEELCTION, EVTYPE_PDFPRINTERNOTIFICATION, EVTYPE_POPUP_CLOSE, EVTYPE_POPUPMENULOAD, EVTYPE_QRCODESCAN, EVTYPE_RANGESELECTION, EVTYPE_RGRAPHPOINTSELECTION, EVTYPE_ROLLINGCONTAINERICONINVOKE, EVTYPE_SCAN, EVTYPE_SCENEJSCALLBACK, EVTYPE_SCHEDULE_SIZECHANGED, EVTYPE_SEARCH, EVTYPE_SENDIMAGE, EVTYPE_SLIDECONTAINER, EVTYPE_SUBPAGE_CLICK, EVTYPE_SUBPAGE_CLICKRIGHT, EVTYPE_SUGGESTION, EVTYPE_SVGELEMENTSELECTION, EVTYPE_TABCLOSE, EVTYPE_TILEDELETE, EVTYPE_TILEMOVE, EVTYPE_TOKENDELETE, EVTYPE_TOOLTIPENDED, EVTYPE_TOOLTIPSTARTED, EVTYPE_TREENODE_TOGGLE, EVTYPE_TRIPLEPANE, EVTYPE_VALIDATE, EVTYPE_WINDOWSIZECHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseActionEvent(UIComponent component, java.lang.String type)` Constructor to be used in "real" JSF environemnt.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommand()` Returns the command that caused the event on client side.
    `java.lang.String` | `getEventInfo()` The event string as it is passed from the client side.
    `java.lang.Object` | `getInternalReference()` Internal use only.
    `boolean` | `getOnlyCallIfObjectIsAvailable()` Internal usage.
    `java.lang.String[]` | `getParams()` Each command can be associated with a set of string parameters.
    `java.lang.String` | `getSourceComment()` Each event is related to a component (the source of the event).
    `java.lang.String` | `getSourceConfiginfo()` Each event is related to a component (the source of the event).
    `java.lang.String` | `getSourceReference()` Each event is related to a component (the source of the event).
    `boolean` | `isImmediate()` Internal usage.
    `boolean` | `isPrior()`
    `protected java.lang.String` | `readParam(int index)` "Robust" reading of parameter.
    `void` | `setImmediate(boolean immediate)` Internal usage.
    `void` | `setInternalReference(java.lang.Object o)` Internal use only.
    `void` | `setOnlyCallIfObjectIsAvailable(boolean onlyCallIfObjectIsAvailable)` Internal usage.
    `protected void` | `setPrior(boolean prior)` Indicate that this event is called prior to normal events.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseActionEvent

          public BaseActionEvent(UIComponent component,
                                 java.lang.String type)

      Constructor to be used in "real" JSF environemnt.
      Parameters:
        `component` -
        `type` -

  - ### Method Detail

    - #### getCommand

          public java.lang.String getCommand()

      Returns the command that caused the event on client side. Each event in the client corresponds to a certain command that allows to identify the event on server side. There may be several commands that are valid for one and the same component. E.g. a field component can on the one hand trigger the "flush" command, and on the other hand can trigger popup menu commmands or drop commands.

    - #### getParams

          public java.lang.String[] getParams()

      Each command can be associated with a set of string parameters. The order and meaning of parameters is up to the command.

    - #### getEventInfo

          public java.lang.String getEventInfo()

      The event string as it is passed from the client side. This method is for information/debugging purpose only. The information returned must be accessed by using getCommand() and getParams().

    - #### setInternalReference

          public void setInternalReference(java.lang.Object o)

      Internal use only.

    - #### getInternalReference

          public java.lang.Object getInternalReference()

      Internal use only.

    - #### getSourceReference

          public java.lang.String getSourceReference()

      Each event is related to a component (the source of the event). This method returns the REFERENCE attribute value of the source component.

    - #### getSourceComment

          public java.lang.String getSourceComment()

      Each event is related to a component (the source of the event). This method returns the COMMENT attribute value of the source component.

    - #### getSourceConfiginfo

          public java.lang.String getSourceConfiginfo()

      Each event is related to a component (the source of the event). This method returns the CONFIGINFO attribute value of the source component.

    - #### setImmediate

          public void setImmediate(boolean immediate)

      Internal usage.

    - #### isImmediate

          public boolean isImmediate()

      Internal usage.

    - #### getOnlyCallIfObjectIsAvailable

          public boolean getOnlyCallIfObjectIsAvailable()

      Internal usage.

    - #### setOnlyCallIfObjectIsAvailable

          public void setOnlyCallIfObjectIsAvailable(boolean onlyCallIfObjectIsAvailable)

      Internal usage.

    - #### readParam

          protected java.lang.String readParam(int index)

      "Robust" reading of parameter.

    - #### setPrior

          protected void setPrior(boolean prior)

      Indicate that this event is called prior to normal events.

    - #### isPrior

          public boolean isPrior()

Copyright © CaptainCasa Gmbh. All Rights Reserved.